[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldKind

Kind of field

## Declaration

Source position: db.pas line 235

`type TFieldKind = (`
`fkData,` |  | Field represents actual data in the underlying data structure.
`fkCalculated,` |  | The field is calculated on the fly.
`fkLookup,` |  | The field is a lookup field.
`fkInternalCalc` |  | Field is calculated but stored in an underlying buffer.
`);`

## Description

TFieldKind indicates the type of a TField instance. Besides TField instances that represent fields present in the underlying data records, there can also be calculated or lookup fields. To distinguish between these kind of fields, TFieldKind is introduced.

## See also

TField.FieldKind |  | The kind of field.